<template>
<div id="O3Echarts" style="width: 100%;height: 100%">

</div>
</template>

<script>
import * as echarts from 'echarts'
export default {
  name: 'O3Echarts',
  props: {
    chartData: {
      type: Object
    }
  },
  mounted() {
    this.showEcharts()
  },
  methods: {
    showEcharts() {
      var chartDom = document.getElementById('O3Echarts')
      var myChart = echarts.init(chartDom)
      var option

      option = {
        title: {
          text: this.chartData.text
        },
        tooltip: {
          trigger: 'axis'
        },
        legend: {
          data: this.chartData.title
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          containLabel: true
        },
        toolbox: {
          feature: {
            saveAsImage: {}
          }
        },
        xAxis: {
          type: 'category',
          boundaryGap: false,
          data: this.chartData.xAxis
        },
        yAxis: {
          type: 'value'
        },
        series: this.chartData.series
      }

      option && myChart.setOption(option)
    }
  }
}
</script>

<style scoped>

</style>
